Package org.osgi.annotation.bundle

# Annotation Type Header

@Documented @Retention(CLASS) @Target({TYPE,PACKAGE}) @Repeatable(Headers.class) public @interface Header
Define a manifest header for a bundle.

For example:

     @Header(name=Constants.BUNDLE_CATEGORY, value="osgi")

This annotation is not retained at runtime. It is for use by tools to generate bundle manifests.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`name`
The name of this header.
`String`
`value`
The value of this header.

## Element Details

### name

String name
The name of this header.

### value

String value
The value of this header.